Bug 150383 - [patch] multimedia/mplayer: switch vdpau dependency from nvidia-driver to libvdpau
Summary: [patch] multimedia/mplayer: switch vdpau dependency from nvidia-driver to lib...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-08 12:40 UTC by swell.k
Modified: 2010-09-24 20:20 UTC (History)
0 users

See Also:


Attachments
a.diff (1.78 KB, patch)
2010-09-08 12:40 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-09-08 12:40:01 UTC
The wrapper library (libvdpau.so.1) in x11/nvidia-driver is gonna
eventually disappear, cf. ports/150368
Comment 1 Edwin Groothuis freebsd_committer 2010-09-08 18:10:26 UTC
Maintainer of multimedia/mplayer,

Please note that PR ports/150383 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150383

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-08 18:10:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Max Brazhnikov freebsd_committer 2010-09-09 16:14:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 4 Thomas Zander 2010-09-09 20:38:02 UTC
Patch looks okay, obviously. I have no objections as long as it's
committed together with the corresponding import of libvdpau.
Comment 5 Max Brazhnikov freebsd_committer 2010-09-10 08:20:08 UTC
Hi Bernhard,

Do you approve the patch for multimedia/mythtv* ports?

Max
Comment 6 Bernhard Froehlich freebsd_committer 2010-09-10 21:13:55 UTC
On Fri, 10 Sep 2010 11:20:08 +0400, Max Brazhnikov <makc@freebsd.org>
wrote:
> Hi Bernhard,
> 
> Do you approve the patch for multimedia/mythtv* ports?

Looks good and works fine so yes it's approved. Thanks!

-- 
Bernhard Froehlich
http://www.bluelife.at/
Comment 7 Max Brazhnikov freebsd_committer 2010-09-10 21:30:55 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 8 swell.k 2010-09-13 19:50:33 UTC
x11/gstreamer-plugins-vdpau was recently committed

--- b.diff begins here ---
Index: multimedia/gstreamer-plugins/Makefile.common
===================================================================
RCS file: /a/.cvsup/ports/multimedia/gstreamer-plugins/Makefile.common,v
retrieving revision 1.112
diff -u -p -r1.112 Makefile.common
--- multimedia/gstreamer-plugins/Makefile.common	13 Sep 2010 16:05:49 -0000	1.112
+++ multimedia/gstreamer-plugins/Makefile.common	13 Sep 2010 18:45:27 -0000
@@ -527,7 +527,7 @@ gst_gst_v4l2_GST_PLUGIN_DIR=sys/v4l2
 gst_gst_v4l2_DIST=	good
 
 # vdpau
-gst_vdpau_LIB_DEPENDS+=	vdpau.1:${PORTSDIR}/x11/nvidia-driver
+gst_vdpau_LIB_DEPENDS+=	vdpau.1:${PORTSDIR}/multimedia/libvdpau
 gst_vdpau_GST_PLUGIN_DIR=sys/vdpau
 gst_vdpau_PLIST_FILES=	${GST_INC_DIR}/gst/vdpau/gstvdp.h \
 			${GST_INC_DIR}/gst/vdpau/gstvdpbuffer.h \
--- b.diff ends here ---
Comment 9 swell.k 2010-09-23 08:15:19 UTC
I think PORTREVISION should be bumped for every affected port in order
to update dependency in packages (not ports).

BTW, do you think a note in UPDATING is a good idea? Will not it make it
more confusing because x11/nvidia-driver still uses 195.36.15?

--- a.diff begins here ---
Index: UPDATING
===================================================================
RCS file: /a/.cvsup/ports/UPDATING,v
retrieving revision 1.974
diff -u -p -r1.974 UPDATING
--- UPDATING	21 Sep 2010 08:46:15 -0000	1.974
+++ UPDATING	23 Sep 2010 06:57:54 -0000
@@ -5,6 +5,15 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+XXXXXXXX:
+  AFFECTS: x11/nvidia-driver, users of libvdpau
+  AUTHOR: swell.k@gmail.com
+
+  x11/nvidia-driver no longer installs VDPAU headers and wrapper
+  library, they're now provided by multimedia/libvdpau. This reflects
+  decision by NVIDIA that stopped packaging vdpau*.h with their driver
+  since 260.19.04.
+
 20100921:
   AFFECTS: users of p5-Compress-Zlib, p5-IO-Compress-*
   AUTHOR: mm@FreeBSD.org
--- a.diff ends here ---
Comment 10 dfilter service freebsd_committer 2010-09-24 20:08:54 UTC
makc        2010-09-24 19:08:50 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/mythtv    Makefile 
    multimedia/mythtv-frontend Makefile 
    multimedia/mplayer   Makefile 
  Log:
  Switch libvdpau dependency from x11/nvidia-driver to multimedia/libvdpau
  
  PR:             ports/150383
  Submitted by:   Anonymous <swell.k at gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.197     +1 -1      ports/multimedia/mplayer/Makefile
  1.11      +2 -3      ports/multimedia/mythtv-frontend/Makefile
  1.34      +2 -3      ports/multimedia/mythtv/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2010-09-24 20:10:12 UTC
makc        2010-09-24 19:10:02 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/gstreamer-plugins Makefile.common 
    x11/gstreamer-plugins-vdpau Makefile 
  Log:
  Switch libvdpau dependency from x11/nvidia-driver to multimedia/libvdpau
  
  PR:             ports/150383
  Submitted by:   Anonymous <swell.k at gmail.com>
  Approved by:    multimedia (kwm@)
  
  Revision  Changes    Path
  1.114     +2 -2      ports/multimedia/gstreamer-plugins/Makefile.common
  1.2       +1 -1      ports/x11/gstreamer-plugins-vdpau/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Max Brazhnikov freebsd_committer 2010-09-24 20:13:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!